
import com.imsl.stat.*;
import com.imsl.math.*;

public class LifeTablesEx1 {

    public static void main(String args[]) {
        int[] nCohort = {
            270, 268, 264, 261, 254, 251,
            248, 232, 166, 130, 76, 34, 13
        };
        double[] age = new double[nCohort.length + 1];
        double[] a = new double[nCohort.length];

        age[0] = -5.0;
        a[0] = -1.0;

        LifeTables lt = new LifeTables(nCohort, age, a);
        double[][] table = lt.getLifeTable();

        PrintMatrixFormat pmf = new PrintMatrixFormat();
        String[] cols = {
            "Age", "PDHALF", "Alive", "Deaths", "Death Rate",
            "P(D)", "Std(P(D))", "P(S)", "Std(P(S))", "Lifetime",
            "Std(Life)", "Time Units"
        };
        pmf.setColumnLabels(cols);
        pmf.setNumberFormat(new java.text.DecimalFormat("0.0####"));
        PrintMatrix pm = new PrintMatrix("Life Table");
        pm.setPageWidth(40);
        pm.print(pmf, table);
    }
}
